Sede legale e ogni sede secondaria iscritta di un'azienda.
curl --request GET \
--url https://api.syrto.ai/companies/{id}/branches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.syrto.ai/companies/{id}/branches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.syrto.ai/companies/{id}/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syrto.ai/companies/{id}/branches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syrto.ai/companies/{id}/branches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syrto.ai/companies/{id}/branches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syrto.ai/companies/{id}/branches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"companyId": "<string>",
"headquarters": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>"
},
"branches": [
{
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>"
}
],
"branchesTotal": 1,
"truncated": true
},
"meta": {
"requestId": "<string>",
"endpoint": "<string>",
"usage": {
"quantity": 123,
"unit": "<string>"
},
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Riferimento interattivo
Sedi e filiali
Tutte le sedi in una risposta (fino a 1000; truncated indica quando ce ne sono altre). Prezzo: 5 crediti.
GET
/
companies
/
{id}
/
branches
Sede legale e ogni sede secondaria iscritta di un'azienda.
curl --request GET \
--url https://api.syrto.ai/companies/{id}/branches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.syrto.ai/companies/{id}/branches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.syrto.ai/companies/{id}/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syrto.ai/companies/{id}/branches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syrto.ai/companies/{id}/branches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syrto.ai/companies/{id}/branches")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syrto.ai/companies/{id}/branches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"companyId": "<string>",
"headquarters": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>"
},
"branches": [
{
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>"
}
],
"branchesTotal": 1,
"truncated": true
},
"meta": {
"requestId": "<string>",
"endpoint": "<string>",
"usage": {
"quantity": 123,
"unit": "<string>"
},
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Autorizzazioni
Chiave API di organizzazione WorkOS (sk_...), inviata come Authorization: Bearer <key>. Gli admin creano e revocano le chiavi nella dashboard Syrto: https://dashboard.syrto.ai/api-keys
Parametri del percorso
Un companyId (id Syrto di un record di bilancio, inizia con Zm86) o un codice fiscale (partita IVA di 11 cifre o codice fiscale di 16 caratteri). Un codice fiscale si risolve nel record selezionato da statementBasis.
Required string length:
1 - 100Esempio:
"02579690039"
Parametri della query
Lingua di nomi, etichette e descrizioni delle metriche (mai dei nomi dei campi o degli slug). Omessa: la lingua predefinita dell'account.
Opzioni disponibili:
it, en Questa pagina è stata utile?